Pharmacy API

get /users/{id}/erx/prescriptions

Get user prescriptions

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Get list of current prescriptions for a patient

Tip: The :id parameter accepts dash (-) for the current user.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesUser ID or dash (-) for current user (e.g. 575)
statusquerystringnoStatus of prescriptions. Send `Current` by default. (e.g. Current)

Responses

200 — Successful response

Prescriptions List

{
  "data": [
    {
      "ID": "101544",
      "DrugID": "69202",
      "NDC": "59390003613",
      "Drug": "12 Hour Nasal 0.05% nasal spray",
      "Directions": "1 Milliliter(s) 1 to 2 times a day",
      "Qty": 5,
      "Status": "Current",
      "PrescriberName": "Dr. Rocky Charlette, N.P."
    }
  ]
}

Machine-readable: OpenAPI JSON